> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 単一ファイルカテゴリテーブルを更新

> 指定したファイルカテゴリテーブルの情報を更新します

> ⚠️ このエンドポイントは現在も利用できますが、今後メンテナンスされません。代わりに [ファイルカテゴリのテーブルを更新](/api-reference/%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB%E3%82%AB%E3%83%86%E3%82%B4%E3%83%AA/%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB%E3%82%AB%E3%83%86%E3%82%B4%E3%83%AA%E3%81%AE%E3%83%86%E3%83%BC%E3%83%96%E3%83%AB%E3%82%92%E6%9B%B4%E6%96%B0) を使用してください。




## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/category/tables/update
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/category/tables/update:
    post:
      tags:
        - 廃止済み
      summary: 単一ファイルカテゴリテーブルを更新
      description: >
        指定したファイルカテゴリテーブルの情報を更新します


        > ⚠️ このエンドポイントは現在も利用できますが、今後メンテナンスされません。代わりに
        [ファイルカテゴリのテーブルを更新](/api-reference/%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB%E3%82%AB%E3%83%86%E3%82%B4%E3%83%AA/%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB%E3%82%AB%E3%83%86%E3%82%B4%E3%83%AA%E3%81%AE%E3%83%86%E3%83%BC%E3%83%96%E3%83%AB%E3%82%92%E6%9B%B4%E6%96%B0)
        を使用してください。
      operationId: updateCategoryTable
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ワークスペース ID
                  example: '1234567890'
                category_id:
                  type: string
                  description: ファイルカテゴリ ID
                  example: '1234567890'
                table_id:
                  type: string
                  description: テーブル ID
                  example: '1234567890'
                name:
                  type: string
                  description: テーブル名
                  example: Table 1
                  maxLength: 50
                prompt:
                  type: string
                  description: テーブルの意味抽出プロンプト
                  example: 各行から品目名、数量、金額を抽出します
                  maxLength: 200
                collect_from_multi_table:
                  type: boolean
                  description: 複数テーブルを結合。Acgpt-VL は複数テーブルの結合に対応していません
                  example: true
                extract_model:
                  type: string
                  description: |
                    テーブルレベルの抽出モデル
                    - Auto: 抽出モデルを自動でマッチング
                    - Acgpt: 高速で安定した抽出結果
                    - Acgpt-VL: VLM。シンプルな抽出に適しています（≤10 ページ）
                    - DF-M1: 複雑な文書理解に適しています
                  example: Acgpt
                  enum:
                    - Auto
                    - Acgpt
                    - Acgpt-VL
                    - DF-M1
                with_detail:
                  type: boolean
                  description: 完全な詳細を返すかどうか
              required:
                - workspace_id
                - category_id
                - table_id
                - collect_from_multi_table
      responses:
        '200':
          description: ファイルカテゴリテーブルの更新に成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CodeMessage'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````